AlertEvents
Create alert event
Creates a new alert event
POST
/
v1
/
alerts
/
{alert_id}
/
events
Create alert event
curl --request POST \
--url https://api.rootly.com/v1/alerts/{alert_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_events",
"attributes": {
"kind": "note",
"details": "<string>",
"user_id": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "alert_events",
"attributes": {
"alert_id": "<string>",
"source": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_id": 123,
"details": "<string>",
"user": {
"id": 123,
"name": "<string>",
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"full_name": "<string>",
"time_zone": "<string>"
},
"incident": {
"id": "<string>",
"sequential_id": 123,
"title": "<string>",
"slug": "<string>",
"kind": "<string>",
"status": "<string>",
"private": true,
"description": "<string>",
"started_at": "<string>",
"duration": 123,
"url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"schedule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"escalation_policies": [
{
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
},
"escalation_level": 123,
"escalation_target_type": "<string>",
"escalation_target": {
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {}
}
},
"slack_channel": {
"id": "<string>",
"slack_channel_name": "<string>",
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"incident_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/vnd.api+json
Show child attributes
Show child attributes
Was this page helpful?
Previous
List alert events across alertsReturns a flat list of alert events across all alerts the requester can access. Designed for periodic polling: use `page[after]` with the `next_cursor` returned in the previous response to stream forward.
Next
⌘I
Create alert event
curl --request POST \
--url https://api.rootly.com/v1/alerts/{alert_id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"type": "alert_events",
"attributes": {
"kind": "note",
"details": "<string>",
"user_id": 123
}
}
}
'{
"data": {
"id": "<string>",
"type": "alert_events",
"attributes": {
"alert_id": "<string>",
"source": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"user_id": 123,
"details": "<string>",
"user": {
"id": 123,
"name": "<string>",
"email": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"preferred_name": "<string>",
"full_name": "<string>",
"time_zone": "<string>"
},
"incident": {
"id": "<string>",
"sequential_id": 123,
"title": "<string>",
"slug": "<string>",
"kind": "<string>",
"status": "<string>",
"private": true,
"description": "<string>",
"started_at": "<string>",
"duration": 123,
"url": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"schedule": {
"id": "<string>",
"name": "<string>",
"description": "<string>",
"escalation_policies": [
{
"id": "<string>",
"name": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
},
"escalation_level": 123,
"escalation_target_type": "<string>",
"escalation_target": {
"data": {
"id": "<string>",
"type": "<string>",
"attributes": {}
}
},
"slack_channel": {
"id": "<string>",
"slack_channel_name": "<string>",
"slack_channel_id": "<string>",
"slack_team_id": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
},
"incident_ids": [
"<string>"
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}